package org.xyzh.file;

import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * FileApp 服务启动类
 * 
 * @author yslg
 */
@SpringBootApplication
@EnableDubbo  // 启用 Dubbo 服务
@ComponentScan(basePackages = {
    "org.xyzh.file",         // 当前system模块
    "org.xyzh.common"          // 公共模块
})
public class FileApp {
    private static final Logger logger = LoggerFactory.getLogger(FileApp.class);
    public static void main(String[] args) {
        logger.info("======================== FileApp 启动中 =========================");
        SpringApplication.run(FileApp.class, args);
        logger.info("======================== FileApp 启动成功 =========================");
    }
}